function lengthsqs = edgelengthsqs(mesh)
%lengthsqs = edgelengthsqs(mesh)    Find squared lengths of all edges.
    edgevecs = ...
        mesh.nodes( mesh.edgeends(:,2), : ) - ...
            mesh.nodes( mesh.edgeends(:,1), : );
    lengthsqs = dotproc2( edgevecs, edgevecs );
  % lengthsqs = sum( edgevecs.*edgevecs, 2 );  % Slower than the above.
end
